MarinerWrtGraphInternal::Token Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MarinerWrtGraphInternal::Token Struct Reference

Internal: the struct use to store a token entry. More...

## Public Member Functions
| Token ()
| constructor More...
bool | hasPictBorders () const
| return true if the picture has some border More...
void | addPictBorder (MWAWGraphicStyle &style) const
| add border properties More...

## Public Attributes
long | m_id [2]
| the token id and the graph? id More...
int | m_type
| the field type More...
int | m_highType
| the high byte of the field type More...
MWAWVec2i | m_dim
| the dimension More...
int | m_refType
| the zone to used type More...
uint32_t | m_refId
| the zone to used id More...
int | m_fieldType
| the field type More...
std::string | m_value
| the token value More...
MWAWEntry | m_pictData
| the picture data More...
long | m_pictId
| a picture id More...
long | m_valPictId
| a optional picture id More...
MWAWColor | m_pictBorderColor
| the pict border color More...
int | m_pictBorderType [4]
| the pict border type More...
float | m_pictBorderWidth [4]
| the pict border width More...
int | m_ruleType
| the rule type More...
int | m_rulePattern
| the rule pattern More...
bool | m_parsed
| true if the token has been send to a listener More...
std::string | m_extra
| some extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal: the struct use to store a token entry.

## Constructor & Destructor Documentation

## § Token()

MarinerWrtGraphInternal::Token::Token | ( |  | ) |
| inline

constructor

## Member Function Documentation

## § addPictBorder()

void MarinerWrtGraphInternal::Token::addPictBorder | ( | MWAWGraphicStyle & | style | ) | const
| inline

add border properties

Referenced by MarinerWrtGraph::sendPicture().

## § hasPictBorders()

bool MarinerWrtGraphInternal::Token::hasPictBorders | ( |  | ) | const
| inline

return true if the picture has some border

Referenced by MarinerWrtGraphInternal::operator<<().

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |
| friend

operator<<

## Member Data Documentation

## § m_dim

MWAWVec2i MarinerWrtGraphInternal::Token::m_dim

the dimension

Referenced by MarinerWrtGraphInternal::operator<<(), MarinerWrtGraph::readToken(), MarinerWrtGraph::sendPicture(), and MarinerWrtGraph::sendRule().

## § m_extra

std::string MarinerWrtGraphInternal::Token::m_extra

some extra data

Referenced by MarinerWrtGraphInternal::operator<<(), MarinerWrtGraph::readToken(), and MarinerWrtGraph::readTokenBlock0().

## § m_fieldType

int MarinerWrtGraphInternal::Token::m_fieldType

the field type

Referenced by MarinerWrtGraphInternal::operator<<(), MarinerWrtGraph::readToken(), and MarinerWrtGraph::sendToken().

## § m_highType

int MarinerWrtGraphInternal::Token::m_highType

the high byte of the field type

Referenced by MarinerWrtGraphInternal::operator<<(), and MarinerWrtGraph::readToken().

## § m_id

long MarinerWrtGraphInternal::Token::m_id[2]

the token id and the graph? id

Referenced by MarinerWrtGraphInternal::operator<<(), and MarinerWrtGraph::readToken().

## § m_parsed

bool MarinerWrtGraphInternal::Token::m_parsed
| mutable

true if the token has been send to a listener

Referenced by MarinerWrtGraph::flushExtra(), and MarinerWrtGraph::sendToken().

## § m_pictBorderColor

MWAWColor MarinerWrtGraphInternal::Token::m_pictBorderColor

the pict border color

Referenced by MarinerWrtGraphInternal::operator<<(), and MarinerWrtGraph::readToken().

## § m_pictBorderType

int MarinerWrtGraphInternal::Token::m_pictBorderType[4]

the pict border type

Referenced by MarinerWrtGraphInternal::operator<<(), and MarinerWrtGraph::readToken().

## § m_pictBorderWidth

float MarinerWrtGraphInternal::Token::m_pictBorderWidth[4]

the pict border width

Referenced by MarinerWrtGraphInternal::operator<<(), and MarinerWrtGraph::readToken().

## § m_pictData

MWAWEntry MarinerWrtGraphInternal::Token::m_pictData

the picture data

Referenced by MarinerWrtGraph::readToken(), and MarinerWrtGraph::sendPicture().

## § m_pictId

long MarinerWrtGraphInternal::Token::m_pictId

a picture id

Referenced by MarinerWrtGraphInternal::operator<<(), and MarinerWrtGraph::readToken().

## § m_refId

uint32_t MarinerWrtGraphInternal::Token::m_refId

the zone to used id

Referenced by MarinerWrtGraphInternal::operator<<(), MarinerWrtGraph::readToken(), and MarinerWrtGraph::sendToken().

## § m_refType

int MarinerWrtGraphInternal::Token::m_refType

the zone to used type

Referenced by MarinerWrtGraphInternal::operator<<(), and MarinerWrtGraph::readToken().

## § m_rulePattern

int MarinerWrtGraphInternal::Token::m_rulePattern

the rule pattern

Referenced by MarinerWrtGraphInternal::operator<<(), MarinerWrtGraph::readTokenBlock0(), and MarinerWrtGraph::sendRule().

## § m_ruleType

int MarinerWrtGraphInternal::Token::m_ruleType

the rule type

Referenced by MarinerWrtGraphInternal::operator<<(), MarinerWrtGraph::readTokenBlock0(), and MarinerWrtGraph::sendRule().

## § m_type

int MarinerWrtGraphInternal::Token::m_type

the field type

Referenced by MarinerWrtGraphInternal::operator<<(), MarinerWrtGraph::readToken(), MarinerWrtGraph::readTokenBlock0(), and MarinerWrtGraph::sendToken().

## § m_valPictId

long MarinerWrtGraphInternal::Token::m_valPictId

a optional picture id

Referenced by MarinerWrtGraphInternal::operator<<(), and MarinerWrtGraph::readTokenBlock0().

## § m_value

std::string MarinerWrtGraphInternal::Token::m_value

the token value

Referenced by MarinerWrtGraphInternal::operator<<(), MarinerWrtGraph::readToken(), MarinerWrtGraph::readTokenBlock0(), and MarinerWrtGraph::sendToken().

The documentation for this struct was generated from the following file:

- MarinerWrtGraph.cxx